NodeRings Docs

List Allocations

IP Allocation (read-only - allocations are managed automatically)

GET
/v1/ipam/allocations
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
prefixId?string

Filter by prefix ID (required for filtering allocations)

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/ipam/allocations?page&pageSize&prefixId" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "allocations": [
    {
      "id": "string",
      "ipAddress": "string",
      "status": "IP_ALLOCATION_STATUS_UNSPECIFIED",
      "prefixId": "string",
      "virtualMachineId": "string",
      "organizationId": "string",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      },
      "allocatedCidr": "string",
      "allocationKind": "string"
    }
  ],
  "total": 0
}